Name:           cpphs
Version:        1.9
Release:       	%mkrel 3
Summary:        Liberalised re-implementation of cpp in Haskell
Group:          Development/Other
License:        LGPL
URL:            http://haskell.org/cpphs/
Source0:        http://www.cs.york.ac.uk/fp/cpphs/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  ghc
BuildRequires:	haskell-macros

%description
cpphs is a liberalised re-implementation of cpp in Haskell.

The C pre-processor is widely used in Haskell source code for conditional
compilation and also occasionally for its macro language, However, however
the common cpp provided by gcc is changing subtly in ways that are
incompatible with Haskell's syntax. There have always been problems with, for
instance, string gaps, and prime characters in identifiers and these problems
are only going to get worse. 

So, it seemed right to provide an alternative to cpp, both more compatible
with Haskell, and written in Haskell to be distributed with compilers.

%prep
%setup -q

%build
%_cabal_build

%_cabal_genscripts

%check
%_cabal_check

%install
%_cabal_install

rm -fr %{buildroot}/%_datadir/*/doc/

%_cabal_rpm_gen_deps

%_cabal_scriptlets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENCE-LGPL README docs/design docs/index.html
%{_bindir}/*
%{_docdir}/%{name}-%{version}
%{_libdir}/*
%_cabal_rpm_files


%changelog
* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.9-3mdv2010.1
+ Revision: 503614
- rebuild for new gmp

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 1.9-2mdv2010.1
+ Revision: 473960
- use haskell scripts

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 1.9-1mdv2010.1
+ Revision: 473950
- new version 1.9

* Wed Sep 02 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.5-4mdv2010.0
+ Revision: 425092
- rebuild

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2009.0
+ Revision: 240512
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5-1mdv2008.0
+ Revision: 55072
- 1.5


* Wed Aug 09 2006 glehmann
+ 08/09/06 19:30:11 (55019)
rebuild

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:22:36 (42680)
Import cpphs

* Sat May 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-1mdk
- first mandriva release

* Tue Aug 16 2005 Jens Petersen <petersen@haskell.org> - 0.9-1
- initial build for Fedora Haskell

